## gcipher 1.1

=== bsd/Makefile ===
# New ports collection makefile for:	gcipher
# Date created:		25 June 2003
# Whom:			Shannon -jj Behrens <jjinux@yahoo.com>
#
# $FreeBSD$
#

PORTNAME=	gcipher
PORTVERSION=	1.0
CATEGORIES=	security gnome
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	${PORTNAME}

MAINTAINER=	jjinux@yahoo.com
COMMENT=	A simple encryption tool

RUN_DEPENDS=	${PYTHON_SITELIBDIR}/gtk-2.0/gnome/uimodule.so:${PORTSDIR}/x11-toolkits/py-gnome2

USE_PYTHON=	yes
USE_X_PREFIX=	yes
USE_GNOME=	libgnomeui

GCIPHER_PREFIX=	${PREFIX}/share/gnome/gcipher

MAN1=	gcipher.1

do-build:
	(cd ${WRKSRC}/src; \
	 ${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py .)

do-install:
	${MKDIR} \
	    ${GCIPHER_PREFIX}/lib/cipher \
	    ${GCIPHER_PREFIX}/lib/ciphergui \
	    ${GCIPHER_PREFIX}/plugins/cipher \
	    ${GCIPHER_PREFIX}/plugins/ciphergui

	(cd ${WRKSRC}; \
	 ${INSTALL_MAN} gcipher.1 ${PREFIX}/man/man1; \
	 ${INSTALL_DATA} CONTRIB LICENSE README "${GCIPHER_PREFIX}")

	(cd ${WRKSRC}/src; \
	 ${INSTALL_SCRIPT} gcipher ${PREFIX}/bin/gcipher; \
	 ${INSTALL_DATA} gcipher.desktop ${PREFIX}/share/gnome/applications; \
	 for i in `find . -name '*.py' \
		       -o -name '*.pyc' \
		       -o -name '*.glade' \
		       -o -name '*.gladep'`; do \
		${INSTALL_DATA} "$$i" "${GCIPHER_PREFIX}/lib/$$i"; \
	 done)

	(cd ${WRKSRC}/plugins; \
	 for i in `find . -name '*.py' \
		       -o -name '*.glade' \
		       -o -name '*.gladep'`; do \
		${INSTALL_DATA} "$$i" "${GCIPHER_PREFIX}/plugins/$$i"; \
	 done)

.include <bsd.port.mk>

## gcipher 1.0-3

=== debian/changelog ===
gcipher (1.0-3) unstable; urgency=low

  * Reverted back to ${python:Depends} in debian/control
  * Changed Build-Depends to Build-Depends-Indep

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 31 May 2004 23:08:54 -0700

gcipher (1.0-2) unstable; urgency=low

  * Removed use of ${python:Depends} in debian/control as Python maintainer(s)
    in their infinite wisdom decided that it broke compatibility moving from
    2.2 to 2.3 which in this case isn't true so we'll just depend on python
    version being >= 2.1 as it's been tested with 2.1, 2.2 and 2.3 with no
    problems and forget using the build depends that are auto-generated.
    This should please Aaron M. Ucko and (closes: #206305)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 19 Aug 2003 23:39:08 -0700

gcipher (1.0-1) unstable; urgency=low

  * Initial release.

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 23 Jun 2003 10:01:37 -0700

=== debian/control ===
Source: gcipher
Section: comm
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>> 3.0.0), dbs, python

Package: gcipher
Architecture: all
Depends: ${python:Depends}, python-gnome2, python-glade2
Description: A simple encryption tool
 This is a simple encryption tool to work with home-grown encryption
 algorithms. It can run as either a GUI, a command-line application,
 or a network proxy.

## gcipher 1.0-3ubuntu1

=== debian/changelog ===
gcipher (1.0-3ubuntu1) hoary; urgency=low

  * Standards Version 3.6.1.1 

 -- Charles Majola <charles@ubuntu.com>  Tue, 22 Feb 2005 14:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: comm
 Priority: optional
 Maintainer: Jeremy T. Bouse <jbouse@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.1.1
 Build-Depends-Indep: debhelper (>> 3.0.0), dbs, python
 
 Package: gcipher

## gcipher 1.0-3.1

=== debian/changelog ===
gcipher (1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Improve description to make it clear that gcipher doesn't provide strong
    encryption (thanks, Clément Stenac; closes: #266707).

 -- Colin Watson <cjwatson@debian.org>  Wed,  9 Feb 2005 15:32:46 +0000

=== debian/control ===
Source: gcipher
Section: comm
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>> 3.0.0), dbs, python

Package: gcipher
Architecture: all
Depends: ${python:Depends}, python-gnome2, python-glade2
Description: A simple "encryption" tool
 This is a simple "encryption" tool to work with common simple encryption
 algorithms (ROT13, Caesar, Vigenère, ...)
 .
 Gcipher does not provide any strong encryption and should not be used to
 encrypt any private data.
 . 
 Gcipher can run as either a GUI, a command-line application, or a network
 proxy.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gcipher
version=1.0

TAR_DIR := $(package)-$(version)

include /usr/share/dbs/dbs-build.mk

build: setup
	$(checkdir)
	
	touch $(STAMP_DIR)/build

clean:
	$(checkdir)
	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
	rm -f debian/files.saved debian/files
	rm -f $$(find . -name "*~" -o -name core -o -name "*.orig")
	rm -rf debian/*.debhelper
	rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep: checkroot build
	$(checkroot)
	dh_clean -k
	dh_installdirs -A

	cwd=`pwd` ; \
	set -e ; \
	( cd $(BUILD_TREE) && \
		for file in CONTRIB README ; do \
			install -m 644 $$file $$cwd/debian/tmp/usr/share/doc/$(package); \
		done && \
		install -m 644 gcipher.1 $$cwd/debian/tmp/usr/share/man/man1; \
		cd src && \
		install -m 755 gcipher $$cwd/debian/tmp/usr/bin; \
		install -m 644 gcipher.desktop $$cwd/debian/tmp/usr/share/applications; \
		for file in $$(find . -name "*.py" -o -name "*.glade" -o -name "*.gladep") ; do \
			install -m 644 $$file $$cwd/debian/tmp/usr/share/gcipher/lib/$$file; \
		done && \
		cd .. && \
		cd plugins && \
		for file in $$(find . -name "*.py") ; do \
			install -m 644 $$file $$cwd/debian/tmp/usr/share/gcipher/plugins/$$file; \
		done )
	
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_compress
	dh_python /usr/share/gcipher/lib
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_fixperms
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gcipher 1.0-3.2

=== debian/changelog ===
gcipher (1.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380806).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 12 Aug 2006 17:11:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: comm
 Priority: optional
 Maintainer: Jeremy T. Bouse <jbouse@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>> 3.0.0), dbs, python
+Standards-Version: 3.7.2
+Build-Depends-Indep: debhelper (>> 3.0.0), dbs, python-dev, python-support (>= 0.4.0)
 
 Package: gcipher
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	dh_installchangelogs
 	dh_link
 	dh_compress
-	dh_python /usr/share/gcipher/lib
+	dh_pysupport /usr/share/gcipher/lib
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
